🌍 Astrocartography API, πŸ”· Human Design API and βœ‹ Palmistry API are now live. Ship them in your app today.

Basic Panchang for sunrise

The bacis_panchang/sunrise API provides information about the sunrise time along with other details such as the day, tithi, yog, nakshatra, and karan. The response includes the time of the sunrise and sunset for the given day.
POSThttps://json.astrologyapi.com/v1/basic_panchang/sunrise

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date, eg: 10

monthintrequired

Month, eg: 5

yearintrequired

Year, eg: 1990

hourintrequired

Hour, eg: 19

minintrequired

Minute, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/basic_panchang/sunrise' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data β€” no API key needed

{
  "day": "Tuesday",
  "tithi": "Krishna Dashami",
  "nakshatra": "Ashwini",
  "yog": "Atigand",
  "karan": "Vanija",
  "sunrise": "05:10:07",
  "sunset": "18:54:25",
  "vedic_sunrise": "05:14:15",
  "vedic_sunset": "18:50:17"
}